This endpoint is deprecated and only maintained for existing legacy integrations. Do not use it for new integrations. Use Create a transfer or Create a third party transfer instead.
This is similar to the Create a transfer endpoint, but the originator datablock is additionally required.
You need to save the transfer ID for tracking its status later via webhooks.
The customerTransactionId field is used to avoid duplicate transfer requests. If your initial call fails (error or timeout), retry the call using the same customerTransactionId value. Subsequent retry messages are treated as repeat messages and will not create duplicate transfers.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Recipient account ID. You can create multiple transfers to same recipient account
V2 quote ID. You can only create one transfer per one quote. You cannot use same quote ID to create multiple transfers
Unique transfer ID in your system. Also used to perform idempotency check to avoid duplicate transfers. You can only submit one transfer with same customerTransactionId
- Production Environmenthttps://api.wise.com/v1/profiles/{profileId}/partner-licence-transfers
- Sandbox Environmenthttps://api.wise-sandbox.com/v1/profiles/{profileId}/partner-licence-transfers
- Personal originator
- Business originator
curl -i -X POST \
'https://api.wise.com/v1/profiles/{profileId}/partner-licence-transfers' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"sourceAccount": 12345678,
"targetAccount": 87654321,
"quote": "8fa9be20-ba43-4b15-abbb-9424e1481050",
"customerTransactionId": "unique-transfer-id-in-your-system",
"details": {
"reference": "Ski trip"
},
"originator": {
"legalEntityType": "PRIVATE",
"externalId": "CST-2991992",
"name": {
"givenName": "John",
"middleNames": [
"Ryan"
],
"familyName": "Godspeed"
},
"dateOfBirth": "1977-07-01",
"address": {
"firstLine": "Salu tee 100, Apt 4B",
"city": "Tallinn",
"countryCode": "EE",
"postCode": "12112"
},
"accountDetails": "the unique account number of the customer"
}
}'Partner licence transfer successfully created.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Transfer current status. See Tracking Transfers for all possible statuses.
Unique identifier randomly generated per transfer request by the calling client
ID of the Payin Session generated for the transfer, which can be used for certain payin methods when funding the transfer
{ "id": 16521632, "user": 4342275, "targetAccount": 8692237, "sourceAccount": null, "quote": "8fa9be20-ba43-4b15-abbb-9424e1481050", "status": "cancelled", "reference": "reference text", "rate": 0.89, "created": "2025-10-29T12:28:16.000Z", "business": null, "transferRequest": null, "details": { "reference": "Testing" }, "originator": { "legalEntityType": "PRIVATE", "reference": "CST-2991992", "name": { "givenName": "John", "middleNames": [ … ], "familyName": "Godspeed", "patronymicName": null, "fullName": "John Godspeed" }, "dateOfBirth": "1977-07-01", "businessRegistrationCode": null, "address": { "firstLine": "Salu tee 14", "city": "Tallinn", "stateCode": null, "countryCode": "EE", "postCode": "12112" }, "accountDetails": "23456789" }, "hasActiveIssues": false, "sourceCurrency": "EUR", "sourceValue": 0, "targetCurrency": "GBP", "targetValue": 150, "originalTransferId": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "payinSessionId": "23330542-8e9e-419f-95eb-312b880f92ad" }